﻿Imports System.Linq

Imports IdeaBlade.EntityModel
Imports IdeaBlade.Core

Partial Public Class Customer

#Region "Suggested Customizations"

    '    // Use this factory method template to create new instances of this class
    Public Shared Function Create(ByVal manager As EntityManager, ByVal companyName As String) As Customer
        Dim aCustomer As Customer = manager.CreateEntity(Of Customer)()
        aCustomer.CustomerID = System.Guid.NewGuid()
        aCustomer.CompanyName = companyName
        aCustomer.EntityAspect.AddToManager()
        Return aCustomer
    End Function

    '    // Implement this method if you want your object to sort in a specific order
    '    public override int CompareTo(Object obj) {
    '    }

    '    // Implement this method to customize the null object version of this class
    '    protected override void UpdateNullEntity() {
    '    }

#End Region

    ' Add additional logic to your business object here...
    Public Sub DeleteGraph()
        Dim numberOfOrders As Integer = Me.Orders.Count
        For i As Integer = numberOfOrders - 1 To -1 + 1 Step -1
            Dim currentOrder As Order = Me.Orders(i)
            currentOrder.DeleteGraph()
        Next
        Me.EntityAspect.Delete()
    End Sub
End Class
